{
  pkgs,
  config,
  lib,
  packages',
  ...
}:
# useful testing command:
# for i in `seq 0 10`; do nix shell nixpkgs#libnotify --command notify-send notifiiiiiii "$i"; sleep 1; done
let
  inherit (import ../lib.nix {}) mkSimpleTrayService;
in {
  home.packages = [
    packages'.salut
  ];

  xdg.configFile."salut/config.ini" = {
    enable = true;
    text = ''
      [notifications]
      timeout = 5000

      [window]
      auto-hide = true
      anchor = bottom-right
      transition = slidebottom

      [mode]
      single = true

      [style]
      preference = dark
    '';
    onChange = "${pkgs.systemd}/bin/systemctl --user restart salut";
  };

  systemd.user.services.salut = mkSimpleTrayService {
    execStart = "${packages'.salut}/bin/salut";
  };
}
