{
  nodeName,
  repoFlake,
  nodeFlake,
  ...
}: let
  system = "x86_64-linux";
in {
  meta.nodeSpecialArgs.${nodeName} = {
    inherit repoFlake nodeName nodeFlake system;
    packages' = repoFlake.packages.${system};
  };

  meta.nodeNixpkgs.${nodeName} =
    import nodeFlake.inputs.nixpkgs.outPath
    {
      inherit system;
    };

  ${nodeName} = {
    deployment.targetHost = "185.130.224.33";
    deployment.replaceUnknownProfiles = false;

    # nixpkgs.pkgs = nodeFlake.inputs.nixpkgs.legacyPackages.${system};

    imports = [
      nodeFlake.inputs.home-manager.nixosModules.home-manager

      ./configuration.nix
    ];

    networking.hostName = nodeName;
  };
}
