{
  nodeName,
  repoFlake,
  nodeFlake,
  ...
}: let
  system = "x86_64-linux";
in {
  meta.nodeSpecialArgs.${nodeName} = {
    inherit repoFlake nodeName nodeFlake;
    packages' = repoFlake.packages.${system};
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath {
    inherit system;
  };

  ${nodeName} = {
    deployment.targetHost = "${nodeName}.infra.stefanjunker.de";
    deployment.replaceUnknownProfiles = false;

    imports = [
      nodeFlake.inputs.home-manager.nixosModules.home-manager

      ./configuration.nix
    ];
  };
}
