{
  nodeName,
  repoFlake,
  repoFlakeWithSystem,
  nodeFlake,
}: let
  system = "x86_64-linux";
in {
  meta.nodeSpecialArgs.${nodeName} = {
    inherit repoFlake nodeName nodeFlake;
    packages' = repoFlake.packages.${system};
    repoFlakeInputs' = repoFlakeWithSystem system ({inputs', ...}: inputs');
  };

  meta.nodeNixpkgs.${nodeName} = import nodeFlake.inputs.nixpkgs.outPath {
    inherit system;
    overlays = [
      (final: prev: {
        # FIXME: why are these not effective in for the configuration.nix below?
      })
    ];
  };

  ${nodeName} = {
    deployment.targetHost = nodeName;
    deployment.replaceUnknownProfiles = false;
    deployment.allowLocalDeployment = true;

    imports = [
      (repoFlake + "/nix/os/devices/${nodeName}/configuration.nix")

      nodeFlake.inputs.home-manager.nixosModules.home-manager
    ];
  };
}
