{
  config,
  pkgs,
  # these come in via nodeSpecialArgs and are expected to be defined for every node
  repoFlake,
  repoFlakeInputs',
  nodeFlake,
  packages',
  ...
}: {
  imports = [
  ];

  nix.registry.nixpkgs.flake = nodeFlake.inputs.nixpkgs;
  home-manager.useGlobalPkgs = false;
  home-manager.useUserPackages = true;
  home-manager.users.root = import ../../../home-manager/configuration/text-minimal.nix;

  # TODO: investigate an issue with the "name" arg contained here, which causes problems with home-manager
  # home-manager.extraSpecialArgs = specialArgs;
  # hence, opt for passing the arguments selectively instead
  home-manager.extraSpecialArgs = {
    inherit
      repoFlake
      repoFlakeInputs'
      packages'
      nodeFlake
      ;

    osConfig = config;
  };

  nixpkgs.config = {
    allowBroken = false;
    allowUnfree = true;
  };
}
