{
  nodeFlake,

  pkgs,
  lib,
  ...
}: {
  nix.daemonCPUSchedPolicy = "idle";
  nix.daemonIOSchedClass = "idle";
  nix.settings.max-jobs = lib.mkDefault "auto";
  nix.settings.cores = lib.mkDefault 0;
  nix.settings.sandbox = true;
  nix.nixPath = [
    "nixpkgs=${pkgs.path}"
  ];

  nix.settings.experimental-features = [
    "nix-command"
    "flakes"
    "ca-derivations"
    "impure-derivations"
  ];

  nix.settings.system-features = [
    "recursive-nix"
    "big-parallel"
    "kvm"
    "nixos-test"
  ];

  nix.registry.nixpkgs.flake = nodeFlake.inputs.nixpkgs;
}
